*

Upserts a SCIM Mapping for a tenant. The Mapping is unique per tenant. Permission level: read-write

PUT /scim-mappings

Operation id: ScimMappingService_UpsertMapping

Tags: ScimMappingService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
mappingobjectNo
{
  "type": "object",
  "properties": {
    "mapping": {
      "type": "object",
      "properties": {
        "tenantId": {
          "type": "string",
          "description": "The Tenant ID of the SCIM Mapping. There can only be one SCIM Mapping per tenant.\nRequired: false. Default: token's tenant."
        },
        "defaultDomain": {
          "type": "string",
          "description": "the default domain of the template, this value is used if a scim_attribute is not mapped in the template.\nRequired: false. Default: platform."
        },
        "defaultScope": {
          "type": "string",
          "description": "the default scope of the template, this value is used if a scim_attribute is not mapped in the template.\nRequired: false. Default: core."
        },
        "attributes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "scimAttribute": {
                "type": "string",
                "description": "The SCIM attribute in the source system. Required: true."
              },
              "userField": {
                "type": "object",
                "description": "Represents the target user field - either a predefined domain field or a custom attribute."
              },
              "scope": {
                "type": "string",
                "description": "The attribute scope. Required: false. Defaults to the value from default_scope."
              },
              "domain": {
                "type": "string",
                "description": "The attribute domain. Required: false. Defaults to the value from default_domain."
              },
              "mappingMode": {
                "type": "string",
                "description": "Controls whether ASSIGNED_ROLES and SELECTED_DEPARTMENTS are merged with or replace existing site-level values.",
                "enum": [
                  "ADDITIVE",
                  "AUTHORITATIVE"
                ],
                "default": "ADDITIVE"
              }
            }
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
mappingobjectNo
{
  "type": "object",
  "properties": {
    "mapping": {
      "type": "object",
      "properties": {
        "tenantId": {
          "type": "string",
          "description": "The Tenant ID of the SCIM Mapping. There can only be one SCIM Mapping per tenant.\nRequired: false. Default: token's tenant."
        },
        "defaultDomain": {
          "type": "string",
          "description": "the default domain of the template, this value is used if a scim_attribute is not mapped in the template.\nRequired: false. Default: platform."
        },
        "defaultScope": {
          "type": "string",
          "description": "the default scope of the template, this value is used if a scim_attribute is not mapped in the template.\nRequired: false. Default: core."
        },
        "attributes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "scimAttribute": {
                "type": "string",
                "description": "The SCIM attribute in the source system. Required: true."
              },
              "userField": {
                "type": "object",
                "description": "Represents the target user field - either a predefined domain field or a custom attribute."
              },
              "scope": {
                "type": "string",
                "description": "The attribute scope. Required: false. Defaults to the value from default_scope."
              },
              "domain": {
                "type": "string",
                "description": "The attribute domain. Required: false. Defaults to the value from default_domain."
              },
              "mappingMode": {
                "type": "string",
                "description": "Controls whether ASSIGNED_ROLES and SELECTED_DEPARTMENTS are merged with or replace existing site-level values.",
                "enum": [
                  "ADDITIVE",
                  "AUTHORITATIVE"
                ],
                "default": "ADDITIVE"
              }
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}